Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions
Lucene::IDFExplanation Class Referenceabstract

Small Util class used to pass both an idf factor as well as an explanation for that factor. More...

`#include <Explanation.h>`

Inheritance diagram for Lucene::IDFExplanation:

## Public Member Functions

virtual | ~IDFExplanation ()
virtual String | getClassName ()
boost::shared_ptr< IDFExplanation > | shared_from_this ()
virtual double | getIdf ()=0
virtual String | explain ()=0
| This should be calculated lazily if possible.
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Small Util class used to pass both an idf factor as well as an explanation for that factor.

This class will likely be held on a `Weight`, so be aware before storing any large fields.

## Constructor & Destructor Documentation

## ◆ ~IDFExplanation()

virtual Lucene::IDFExplanation::~IDFExplanation | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::IDFExplanation::_getClassName | ( |  | ) |

inline static

## ◆ explain()

virtual String Lucene::IDFExplanation::explain | ( |  | ) |

pure virtual

This should be calculated lazily if possible.

Returns
  the explanation for the idf factor.

## ◆ getClassName()

virtual String Lucene::IDFExplanation::getClassName | ( |  | ) |

inline virtual

## ◆ getIdf()

virtual double Lucene::IDFExplanation::getIdf | ( |  | ) |

pure virtual

Returns
  the idf factor

## ◆ shared_from_this()

boost::shared_ptr< IDFExplanation > Lucene::IDFExplanation::shared_from_this | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- Explanation.h

clucene.sourceforge.net